/* L1_next_cris_evt */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

int
main(int argc, char *argv[])
{
    int bad = 0;
    int i;
    int ret;

    Progname = argv[0];

    ret = sc_day_of_year_96(99, 16);
    if (ret != 1112) {
	bad = 1;
	fprintf(stderr, "%s: (A) wanted 1112, got %d\n", Progname, ret);
    }

    ret = sc_day_of_year_96(1999, 16);
    if (ret != 1112) {
	bad = 1;
	fprintf(stderr, "%s: (B) wanted 1112, got %d\n", Progname, ret);
    }

    ret = sc_day_of_year_96(98, 268);
    if (ret != 999) {
	bad = 1;
	fprintf(stderr, "%s: (C) wanted 999, got %d\n", Progname, ret);
    }

    ret = sc_day_of_year_96(1998, 268);
    if (ret != 999) {
	bad = 1;
	fprintf(stderr, "%s: (D) wanted 999, got %d\n", Progname, ret);
    }

    ret = sc_day_of_year_96(0, 245);
    if (ret != 1706) {
	bad = 1;
	fprintf(stderr, "%s: (E) wanted 1706, got %d\n", Progname, ret);
    }

    ret = sc_day_of_year_96(2000, 245);
    if (ret != 1706) {
	bad = 1;
	fprintf(stderr, "%s: (E) wanted 1706, got %d\n", Progname, ret);
    }

    if (bad) {
	return -1;
    }

    return 0;
}

#endif /* NO_LEVEL1 */
