/* L1_diag_cvt */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

int
main(int argc, char *argv[])
{
    int day1996;
    int dbg = 0;
    struct sc_diagEvt e;
    struct L1CrisDiagnosticEvent *e1;
    int i;
    int n;
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    e1 = getDaysDiagnosticEvents_c(795, 1);
    ret = sc_L1_diag_cvt(e1, &e, &n);
    if (ret != 0) {
	fprintf(stderr, "returned %d\n", ret);
	return -1;
    }

    for (i=0; i<e.softwds; i++) {
	if (*(e.softp + i) != e1->SoftEvent[i]) {
	    fprintf(stderr, "video differs at word %d (%0x, %0x)\n",
	    	i, *(e.softp + i), e1->SoftEvent[i]);
	    return -1;
	}
    }

    return 0;
}

#endif
