/* L1_set_day */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>
#include <L1.h>

char *Progname;

int Res[10] = {
    0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
};

int
main(int argc, char *argv[])
{
    int dbg = 0;
    int i;
    int res[10];
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    for (i=0; i<10; i++) {
	sc_L1_set_day(i, i+10);
	res[i] = sc_L1_get_day();
    }

    if (!dbg) {
	for (i=0; i<10; i++) {
	    ret = checkit(Res[i], res[i], "startday");
	}
	
	if (ret) {
	    return -1;
	}
	
    } else {
	printf("int Res[10] = {\n");
	for (i=0; i<10; i++) {
	    printf("%d, ", res[i]);
	}
	printf("\n};\n");
    }

    return 0;
}

int
checkit(want, got, phrase)
    int want, got;
    char *phrase;
{
    if (want == got) {
	return 0;
    } else {
	fprintf(stderr," %s: got %d, wanted %d\n", phrase, got, want);
	return 1;
    }
}

#endif /* NO_LEVEL1 */
