/* t_cris_set_cam.c - sc_cris_set_cam() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

int
main(int argc, char *argv[])
{
    int ret;

    Progname = argv[0];

    ret = sc_cris_set_cam(SC_CAM1);
    if (ret != SC_CAM2) {
	fprintf(stderr, "%s: (A) cam was %d (expected %d)\n", ret, SC_CAM2);
	return -1;
    }
    ret = sc_cris_set_cam(SC_CAM2);
    if (ret != SC_CAM1) {
	fprintf(stderr, "%s: (B) cam was %d (expected %d)\n", ret, SC_CAM1);
	return -1;
    }
    ret = sc_cris_set_cam(108);
    if (ret != -1) {
	fprintf(stderr, "%s: (C) cam was %d (expected %d)\n", ret, -1);
	return -1;
    }
    ret = sc_cris_set_cam(SC_CAM1);
    if (ret != SC_CAM2) {
	fprintf(stderr, "%s: (D) cam was %d (expected %d)\n", ret, SC_CAM2);
	return -1;
    }
    return 0;
}
