/* set_z_coord_test */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

int
main(int argc, char *argv[])
{
    int dbg = 0;
    int i;
    float res[6];
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_set_z_coord(5.0, 6.0, 7.0, 8.0, 9.0, 10.0);
    sc_get_z_coord(res+0, res+1, res+2, res+3, res+4, res+5);

    for (i=0; i<6; i++) {
	ret = checkit(5.0 + i, res[i], "sc_get_z_coord");
    }
    
    if (ret) {
	return -1;
    }
	
    return 0;
}

int
checkit(want, got, phrase)
    float want, got;
    char *phrase;
{
    if (want == got) {
	return 0;
    } else {
	fprintf(stderr," %s: got %f, wanted %f\n", phrase, got, want);
	return 1;
    }
}
