void UnpackHeaderAggregation(aggregation, UnpackedAggregation)
u_char *aggregation;
UnpackedHeaderAggregation *UnpackedAggregation;
{
   u_int tmp;
   float FloatTmp;
   u_char *TmpByte;
   static int msb0 = 0;
   static int msb1 = 0;
   static int msb2 = 0;
   static int msb3 = 0;

   if (msb0 == msb3) byteorder(&msb0, &msb1, &msb2, &msb3);
   TmpByte = (u_char *) &tmp;

   tmp = 0;
   TmpByte[msb2] = aggregation[0];
   TmpByte[msb3] = aggregation[1];
   UnpackedAggregation->TypeAttribute = (u_short) tmp;
   TmpByte[msb2] = aggregation[2];
   TmpByte[msb3] = aggregation[3];
   UnpackedAggregation->LengthAttribute = (u_short) tmp;

   TmpByte[msb2] = aggregation[4];
   TmpByte[msb3] = aggregation[5];
   UnpackedAggregation->primary.TypeAttribute = (u_short) tmp;
   TmpByte[msb2] = aggregation[6];
   TmpByte[msb3] = aggregation[7];
   UnpackedAggregation->primary.LengthAttribute = (u_short) tmp;
   UnpackedAggregation->primary.MajorDataClass = aggregation[8];
   UnpackedAggregation->primary.MinorDataClass = aggregation[9];

   TmpByte[msb2] = aggregation[12];
   TmpByte[msb3] = aggregation[13];
   UnpackedAggregation->secondary.TypeAttribute = (u_short) tmp;
   TmpByte[msb2] = aggregation[14];
   TmpByte[msb3] = aggregation[15];
   UnpackedAggregation->secondary.LengthAttribute = (u_short) tmp;
   UnpackedAggregation->secondary.OriginatorId = aggregation[16];
   UnpackedAggregation->secondary.LastModifierId = aggregation[17];
   UnpackedAggregation->secondary.SpacecraftId = aggregation[18];
   UnpackedAggregation->secondary.VirtualStreamId = aggregation[19];
   TmpByte[msb2] = aggregation[20];
   TmpByte[msb3] = aggregation[21];
   UnpackedAggregation->secondary.ErrorFlags = (u_short) tmp;
   TmpByte[msb2] = aggregation[22];
   TmpByte[msb3] = aggregation[23];
   UnpackedAggregation->secondary.EarthReceivedTime.day = (u_short) tmp;
   TmpByte[msb0] = aggregation[24];
   TmpByte[msb1] = aggregation[25];
   TmpByte[msb2] = aggregation[26];
   TmpByte[msb3] = aggregation[27];
   UnpackedAggregation->secondary.EarthReceivedTime.milliseconds = tmp;
   TmpByte[msb0] = aggregation[30];
   TmpByte[msb1] = aggregation[31];
   TmpByte[msb2] = aggregation[32];
   TmpByte[msb3] = aggregation[33];
   UnpackedAggregation->secondary.RecordSequenceNumber = tmp;
   UnpackedAggregation->secondary.AcquisitionBet = aggregation[34];
   UnpackedAggregation->secondary.MaintenanceBet = aggregation[35];
   UnpackedAggregation->secondary.VerifyCount = aggregation[36];
   UnpackedAggregation->secondary.FlywheelCount = aggregation[37];
   tmp = 0;
   TmpByte[msb2] = aggregation[38];
   TmpByte[msb3] = aggregation[39];
   UnpackedAggregation->secondary.NumberReceivedTelemetryBits =
                                                        (u_short) tmp;
   UnpackedAggregation->secondary.FrameSyncMode = aggregation[40];
   UnpackedAggregation->secondary.FrameSyncStatus = aggregation[41];
   UnpackedAggregation->secondary.RsSymbolErrorCount1 = aggregation[42];
   UnpackedAggregation->secondary.RsSymbolErrorCount2 = aggregation[43];
   UnpackedAggregation->secondary.SyncBitErrors = aggregation[44];
   UnpackedAggregation->secondary.FrequencyBand =
                                                 (char) aggregation[45];
   TmpByte = (u_char *) &FloatTmp;
   TmpByte[msb0] = aggregation[46];
   TmpByte[msb1] = aggregation[47];
   TmpByte[msb2] = aggregation[48];
   TmpByte[msb3] = aggregation[49];
   UnpackedAggregation->secondary.MeasuredBitRate = FloatTmp;
   UnpackedAggregation->secondary.RsSymbolErrorCount3 = aggregation[50];
   UnpackedAggregation->secondary.RsSymbolErrorCount4 = aggregation[51];
   TmpByte[msb0] = aggregation[52];
   TmpByte[msb1] = aggregation[53];
   TmpByte[msb2] = aggregation[54];
   TmpByte[msb3] = aggregation[55];
   UnpackedAggregation->secondary.SystemNoiseTemperature = FloatTmp;
   TmpByte[msb0] = aggregation[56];
   TmpByte[msb1] = aggregation[57];
   TmpByte[msb2] = aggregation[58];
   TmpByte[msb3] = aggregation[59];
   UnpackedAggregation->secondary.SymbolSnr = FloatTmp;
   TmpByte[msb0] = aggregation[60];
   TmpByte[msb1] = aggregation[61];
   TmpByte[msb2] = aggregation[62];
   TmpByte[msb3] = aggregation[63];
   UnpackedAggregation->secondary.ReceiverSignalLevel = FloatTmp;
   UnpackedAggregation->secondary.MasterAntennaNumber = aggregation[66];
   UnpackedAggregation->secondary.MasterReceiverNumber =
                                                        aggregation[67];
   UnpackedAggregation->secondary.DtmGroupNumber = aggregation[68];
   UnpackedAggregation->secondary.DtmChannelNumber = aggregation[69];
   TmpByte = (u_char *) &tmp;
   tmp = 0;
   TmpByte[msb2] = aggregation[70];
   TmpByte[msb3] = aggregation[71];
   UnpackedAggregation->secondary.TelemetryLockStatus = tmp;
   UnpackedAggregation->secondary.DtmSoftwareIdentifier[0] =
                                                       aggregation[72];
   UnpackedAggregation->secondary.DtmSoftwareIdentifier[1] = 
                                                       aggregation[73];
}
