#include <stdio.h>
#include <softcris.h>

int
main(argc, argv)
    int argc;
    char *argv[];
{
    struct sc_crisEvt c;
    FILE *fp;
    int i;
    int j;
    int ret;

    fp = stdin;

    ret = sc_tlm_sync_major(fp);
    if (ret == 0) {
	/* EOF */
	exit(0);
    } else if (ret < 0) {
	/* error */
	exit(1);
    }
    fprintf(stderr,"sync after %d minor frames\n", ret);
    while (1) {
	ret = sc_tlm_next_cris_evt(&c, fp);
	if (ret == 0) {
	    /* EOF *?
	    exit(0);
	} else if (ret <= -1) {
	    /* error */
	    exit(1);
	} else {
	    printf("%d", c.nbytes);
	    printf(" cam %d", sc_tlm_cam_guess());
	    printf(" mcp1 %d mcp2 %d", sc_tlm_hsk_mcp1(), sc_tlm_hsk_mcp2());
	    printf("\n");
	}
    }
}
