void ConvertFromSeconds1970(seconds, date, time)
int seconds;
int *date;
int *time;
{
   static int table[61][12];
   int i;
   int j;
   static int first = 1;
   int year;
   int month;
   int day;
   int days;
   int hour;
   int minute;
   int second;

   if (first)
   {
      table[0][ 0] = 0;
      table[0][ 1] = table[0][ 0] + 31;
      table[0][ 2] = table[0][ 1] + 28;
      table[0][ 3] = table[0][ 2] + 31;
      table[0][ 4] = table[0][ 3] + 30;
      table[0][ 5] = table[0][ 4] + 31;
      table[0][ 6] = table[0][ 5] + 30;
      table[0][ 7] = table[0][ 6] + 31;
      table[0][ 8] = table[0][ 7] + 31;
      table[0][ 9] = table[0][ 8] + 30;
      table[0][10] = table[0][ 9] + 31;
      table[0][11] = table[0][10] + 30;
      year = 1970;
      for (i=1; i<=60; i++)
      {
         year++;
         for (j=0; j<12; j++) table[i][j] = table[i-1][j] + 365;
         if (!(year % 4))
         {
            for (j=0; j<12; j++) table[i][j] += 1;
         }
      }
      year = 1970;
      for (i=1; i<=60; i++)
      {
         year++;
         if (!(year % 4))
         {
            table[i][0] -= 1;
            table[i][1] -= 1;
         }
      }
      first = 0;
   }
   days = seconds/86400;
   year = days/365;
   if (days < table[year][11] + 31)
   {
      for (i=11; 0 <= i; i--)
      {
         if (days >= table[year][i])
         {
            day = (days - table[year][i]) + 1;
            month = i+1;
            year += 70;
            if (year >= 100) year -= 100;
            break;
         }
      }
   }
   else
   {
      day = (days - table[year+1][0]) + 1;
      month = 1;
      year += 71;
      if (year >= 100) year -= 100;
   }
   
   hour = (seconds/3600) % 24;
   minute = (seconds/60) % 60;
   second = seconds % 60;

   *date = year*10000 + month*100 + day;
   *time = hour*10000 + minute*100 + second;
}
