/* t_lu_read_table.c - sc_lu_read_table(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

u_char D[1200];

int
main(int argc, char *argv[])
{
    int ret;

    Progname = argv[0];

    fprintf(stderr,
    	"%s: opening non-existent LUT file. Expect error message\n",
    	Progname);
    ret = sc_lu_read_table("lut.foo");
    if (ret != -1) {
	fprintf(stderr,
	    "%s: Whoa! It should have returned -1, but instead %d\n",
	    Progname, ret);
	return -1;
    }

    /* now try to open a real one */
    ret = sc_lu_read_table("../Maps/lut.cam2.msu1195");
    if (ret != 0) {
	fprintf(stderr, "%s: sc_lu_read_table (A) ret was %d, wanted 0\n",
	    Progname, ret);
	return -1;
    }

    ret = sc_lu_read_table("../Maps/lut.cam1.msu1195");
    if (ret != 1) {
	fprintf(stderr, "%s: sc_lu_read_table (A) ret was %d, wanted 1\n",
	    Progname, ret);
	return -1;
    }

    return 0;
}
