/* set_soft_stack_sep_test */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

int
main(int argc, char *argv[])
{
    int dbg = 0;
    int i;
    float res;
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_set_soft_stack_sep(20.25);
    res = sc_get_soft_stack_sep();

    ret = checkit(20.25, res, "sc_get_stack_sep");
    
    if (ret) {
	return -1;
    }
	
    return 0;
}

int
checkit(want, got, phrase)
    float want, got;
    char *phrase;
{
    if (want == got) {
	return 0;
    } else {
	fprintf(stderr," %s: got %f, wanted %f\n", phrase, got, want);
	return 1;
    }
}
