void UnpackDddHeader(header, UnpackedHeader)
u_char *header;
UnpackedDddHeader *UnpackedHeader;
{
   u_int tmp;
   u_char *TmpByte;
   static int msb0 = 0;
   static int msb1 = 0;
   static int msb2 = 0;
   static int msb3 = 0;
   u_short thousands;
   u_short hundreds;
   u_short tens;
   u_short units;

 
   if (msb0 == msb3) byteorder(&msb0, &msb1, &msb2, &msb3);
   TmpByte = (u_char *) &tmp;

   TmpByte[msb2] = header[0];
   TmpByte[msb3] = header[1];
   tmp >>= 1;
   UnpackedHeader->destination.assembly = (u_char) (tmp & 0x00000007);
   tmp >>= 3;
   UnpackedHeader->destination.subfacility =
                                           (u_char) (tmp & 0x0000000f);
   tmp >>= 4;
   UnpackedHeader->destination.facility = (u_char) (tmp & 0x0000007f);

   TmpByte[msb2] = header[2];
   TmpByte[msb3] = header[3];
   tmp >>= 1;
   UnpackedHeader->source.assembly = (u_char) (tmp & 0x00000007);
   tmp >>= 3;
   UnpackedHeader->source.subfacility = (u_char) (tmp & 0x0000000f);
   tmp >>= 4;
   UnpackedHeader->source.facility = (u_char) (tmp & 0x0000007f);
   
   UnpackedHeader->stream.SpacecraftId = header[4];
   UnpackedHeader->stream.DataType = (header[5] >> 1) & 0x7f;
   UnpackedHeader->stream.DataNature = header[5] & 0x01;

   tmp = 0;
   TmpByte[msb2] = header[6];
   TmpByte[msb3] = header[7];
   UnpackedHeader->TotalBlockLength = (u_short) tmp;

   TmpByte[msb2] = header[8];
   TmpByte[msb3] = header[9];
   UnpackedHeader->BlockSerialNumber = (u_short) tmp;

   UnpackedHeader->protocol = (header[10] >> 2) & 0x3f;

   hundreds = (u_short) (header[10] & 0x03);
   tens = (u_short) ((header[11] >> 4) & 0x0f);
   units = (u_short) (header[11] & 0x0f);
   UnpackedHeader->DayOfYear = 100*hundreds + 10*tens + units;

   tmp = 0;
   TmpByte[msb1] = header[12];
   TmpByte[msb2] = header[13];
   TmpByte[msb3] = header[14];
   UnpackedHeader->TimeOfDay = tmp;

   UnpackedHeader->VirtualStreamId = header[15];

   thousands = (u_short) ((header[16] >> 4) & 0x0f);
   hundreds = (u_short) (header[16] & 0x0f);
   tens = (u_short) ((header[17] >> 4) & 0x0f);
   units = (u_short) (header[17] & 0x0f);
   UnpackedHeader->year = 1000*thousands + 100*hundreds + 10*tens
                                                               + units;
   UnpackedHeader->GradeOfService = header[18];
}
