void UnpackMinorFrameHeader(header, UnpackedHeader)
u_char *header;
UnpackedMinorFrameHeader *UnpackedHeader;
{
   u_int tmp;
   u_char *TmpByte;
   static int msb0 = 0;
   static int msb1 = 0;
   static int msb2 = 0;
   static int msb3 = 0;

   if (msb0 == msb3) byteorder(&msb0, &msb1, &msb2, &msb3);
   TmpByte = (u_char *) &tmp;

   tmp = 0;
   TmpByte[msb2] = header[0];
   TmpByte[msb3] = header[1];
   UnpackedHeader->MinorFrameCount = (u_char) (tmp & 0x0000000f);
   tmp >>= 4;
   UnpackedHeader->MajorFrameCount = (u_char) (tmp & 0x00000007);
   tmp >>= 3;
   UnpackedHeader->CollectionFormat = (u_char) (tmp & 0x00000001);
   tmp >>= 1;
   UnpackedHeader->CdhId = (u_char) (tmp & 0x00000003);
   tmp >>= 2;
   UnpackedHeader->SunSensorIdBits = (u_char) (tmp & 0x00000003);
   tmp >>= 2;
   UnpackedHeader->FormatId = (u_char) (tmp & 0x0000000f);
}
