void UnpackPacketHeader(header, UnpackedHeader)
u_char *header;
UnpackedPacketHeader *UnpackedHeader;
{
   u_int tmp;
   u_char *TmpByte;
   static int msb0 = 0;
   static int msb1 = 0;
   static int msb2 = 0;
   static int msb3 = 0;

   if (msb0 == msb3) byteorder(&msb0, &msb1, &msb2, &msb3);
   TmpByte = (u_char *) &tmp;

   tmp =0;
   TmpByte[msb2] = header[0];
   TmpByte[msb3] = header[1];
   UnpackedHeader->ApplicationProcessIdentifier =
                                          (u_short) (tmp & 0x000007ff);
   tmp >>= 11;
   UnpackedHeader->PacketSecondaryHeaderFlag =
                                           (u_char) (tmp & 0x00000001);
   tmp >>= 1;
   UnpackedHeader->TypeIndicator = (u_char) (tmp & 0x00000001);
   tmp >>= 1;
   UnpackedHeader->VersionNumber = (u_char) (tmp & 0x00000007);

   TmpByte[msb0] = header[2];
   TmpByte[msb1] = header[3];
   TmpByte[msb2] = header[4];
   TmpByte[msb3] = header[5];
   UnpackedHeader->PacketLength = (u_short) (tmp & 0x0000ffff);
   tmp >>= 16;
   UnpackedHeader->SourceSequenceCount = (u_short) (tmp & 0x00003fff);
   tmp >>= 14;
   UnpackedHeader->GroupFlags = (u_char) (tmp & 0x00000003);

   TmpByte[msb0] = header[6];
   TmpByte[msb1] = header[7];
   TmpByte[msb2] = header[8];
   TmpByte[msb3] = header[9];
   UnpackedHeader->PacketSecondaryHeader = tmp;
}
