typedef struct
{
     u_int milliseconds;
   u_short day;
} UnpackedEarthReceivedTime;

typedef struct
{
   u_short TypeAttribute;
   u_short LengthAttribute;
    u_char MajorDataClass;
    u_char MinorDataClass;
} UnpackedPrimaryHeader;

typedef struct
{
                     u_short TypeAttribute;
                     u_short LengthAttribute;
                       float MeasuredBitRate;
                       float SystemNoiseTemperature;
                       float SymbolSnr;
                       float ReceiverSignalLevel;
                       u_int RecordSequenceNumber;
   UnpackedEarthReceivedTime EarthReceivedTime;
                     u_short ErrorFlags;
                     u_short NumberReceivedTelemetryBits;
                     u_short TelemetryLockStatus;
                      u_char OriginatorId;
                      u_char LastModifierId;
                      u_char SpacecraftId;
                      u_char VirtualStreamId;
                      u_char AcquisitionBet;
                      u_char MaintenanceBet;
                      u_char VerifyCount;
                      u_char FlywheelCount;
                      u_char FrameSyncMode;
                      u_char FrameSyncStatus;
                      u_char RsSymbolErrorCount1;
                      u_char RsSymbolErrorCount2;
                      u_char SyncBitErrors;
                        char FrequencyBand;
                      u_char RsSymbolErrorCount3;
                      u_char RsSymbolErrorCount4;
                      u_char MasterAntennaNumber;
                      u_char MasterReceiverNumber;
                      u_char DtmGroupNumber;
                      u_char DtmChannelNumber;
                        char DtmSoftwareIdentifier[2];
} UnpackedSecondaryHeader;

typedef struct
{
      UnpackedPrimaryHeader primary;
    UnpackedSecondaryHeader secondary;
                    u_short TypeAttribute;
                    u_short LengthAttribute;
} UnpackedHeaderAggregation;
